unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  IdentReader;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    function ProcessBarCode(barCode: string): string;
    { Public declarations }
  end;

var
  Form1: TForm1;
  IdentThread: TIdentReader;

implementation

{$R *.DFM}

function TForm1.ProcessBarCode(barCode: string): string;
begin
  memo1.lines.Add(barCode);
  Result := '211';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  IdentThread:= TIdentReader.Create('COM2');
  if IdentThread.FailCode<>0 then
    Showmessage(IdentThread.Failstring);
  Label1.caption:='pripojen!';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  IdentThread.Terminate;
  IdentThread.WaitFor;
  IdentThread.free;
  Label1.caption:='';
end;

end.
